{ config, pkgs, lib, ... }:
let
 cfg = config.services.code-server;
in {
  services.code-server = {
    enable = true;
    host = "127.0.1.2";
    port = 4444;
  };
  services.nginx.virtualHosts."code.home.feal.no" = {
    locations."/" = {
      proxyPass = "http://127.0.1.2:${toString cfg.port}";
      proxyWebsockets = true;
    };
  };
}
